MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029158Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-29 09:192017-10-14 12:20
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.1Fixed in Version 
Summary0029158: Visualization - suspicious pass-through of case labels in switch statements
DescriptionGCC 7.1 reports multiple warnings "this statement may fall through [-Wimplicit-fallthrough=]" in situations when code can pass through the case label of switch statement (i.e. code of the preceding case label does not leave the switch using break, return etc.). Some of such warnings highlight suspicious places in the code:

MeshVS_Mesh.cxx:422

If fall-through is intentional, add macro Standard_FALLTHROUGH (introduced in 0029151) before the case label to avoid this warning.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029151verifiedabv Open CASCADE Coding Rules - eliminate GCC compiler warnings -Wimplicit-fallthrough 

-  Notes
(0071209)
git (administrator)
2017-10-04 20:09

Branch CR29158 has been created by kgv.

SHA-1: 5e36fa598035021e86e8daf5c69c01f538bf466b


Detailed log of new commits:

Author: Zia ul Azam
Date: Wed Sep 13 17:12:57 2017 +0200

    0029158: Visualization - suspicious pass-through of case labels in switch statements
    
    MeshVS_Mesh::ComputeSelection() - fixed incorrect fall-through
    from MeshVS_SMF_Mesh to MeshVS_SMF_Group.
(0071211)
git (administrator)
2017-10-04 21:34

Branch CR29158 has been updated forcibly by kgv.

SHA-1: 762e93d32b27600b1c0aa13dea1b56461b7604a7
(0071218)
git (administrator)
2017-10-04 22:22

Branch CR29158 has been updated forcibly by kgv.

SHA-1: 0394d954e9912d3429bbb4d6cd532833b6f93e3d
(0071220)
kgv (developer)
2017-10-04 23:01

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29158-master-KGV [^]
(0071284)
san (developer)
2017-10-08 22:02

Branch CR29158 reviewed without remarks, ready for testing.
(0071292)
bugmaster (administrator)
2017-10-09 10:46

Combination -
OCCT branch :CR29158 SHA-1: 0394d954e9912d3429bbb4d6cd532833b6f93e3d
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0071469)
git (administrator)
2017-10-14 12:20

Branch CR29158 has been deleted by kgv.

SHA-1: 0394d954e9912d3429bbb4d6cd532833b6f93e3d

- Related Changesets
occt: master 022d142b
Timestamp: 2017-09-13 15:12:57
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029158: Visualization - suspicious pass-through of case labels in switch statements

MeshVS_Mesh::ComputeSelection() - fixed incorrect fall-through
from MeshVS_SMF_Mesh to MeshVS_SMF_Group.
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-29 09:19 abv New Issue
2017-09-29 09:19 abv Assigned To => kgv
2017-09-29 09:20 abv Relationship added child of 0029151
2017-09-29 09:21 abv Description Updated View Revisions
2017-09-29 14:29 abv Summary 0029157: Visualization - suspicious pass-through of case labels in switch statements => Visualization - suspicious pass-through of case labels in switch statements
2017-10-04 20:09 git Note Added: 0071209
2017-10-04 20:11 kgv Relationship added child of 0027180
2017-10-04 20:11 kgv Product Version => 7.0.0
2017-10-04 21:34 git Note Added: 0071211
2017-10-04 22:22 git Note Added: 0071218
2017-10-04 23:01 kgv Note Added: 0071220
2017-10-04 23:01 kgv Assigned To kgv => san
2017-10-04 23:01 kgv Status new => resolved
2017-10-08 22:02 san Note Added: 0071284
2017-10-08 22:02 san Assigned To san => bugmaster
2017-10-08 22:02 san Status resolved => reviewed
2017-10-09 10:39 bugmaster Test case number => Not required
2017-10-09 10:46 bugmaster Note Added: 0071292
2017-10-09 10:46 bugmaster Status reviewed => tested
2017-10-12 19:00 bugmaster Changeset attached => occt master 022d142b
2017-10-12 19:00 bugmaster Status tested => verified
2017-10-12 19:00 bugmaster Resolution open => fixed
2017-10-14 12:20 git Note Added: 0071469


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker